package com.ruoyi.cai.enums.systemconfig;

import com.ruoyi.common.utils.StringUtils;

public class RankSystemConfigCheck implements ISystemConfigCheck{
    @Override
    public SystemCheckResp check(String value) {
        if(StringUtils.isEmpty(value)){
            return SystemCheckResp.fail("该配置必填");
        }
        boolean b = SystemConfigCheckUtil.checkArrayListLong(value, 10);
        if(!b){
            return SystemCheckResp.fail("请填写逗号分割的数字，且需要超过10个!");
        }
        return SystemCheckResp.ok();
    }
}
